Actualités

08
nov.
2018

Quel danger guette 60% des sites web au 1er janvier 2019 ?

Quel danger guette 60% des sites web au 1er janvier 2019 ?

Fin du support de PHP 5

PHP est un langage de programmation qui permet de faire fonctionner bon nombre de sites web : par exemple, Xooloop CMS est écrit en Php, et donc tous les sites utilisant Xooloop CMS tournent avec PHP.

Selon le cabinet W3TechS (World Wide Web Technology Survey), PHP est utilisé par près de 80% des sites web !
Mais parmi ces sites, 77% utilisent encore PHP 5, soit 60% des sites web mondiaux, alors que cette version n'est plus maintenue depuis janvier 2017 !!
Et dans cette version de PHP, seule la version 5.6 a encore un support assuré pour les alertes de sécurité, mais cela s'arrêtera au 31 décembre 2018.

Qu'arrivera t'il alors à ces sites web, qui représentent ainsi 60% des sites web du monde ?

 

 

Que se passera t'il le 1er janvier 2019?

 

Pour la plupart des sites, rien de visible: en effet, la version de PHP à utiliser est installée sur un serveur, qui ne va pas être modifié durant la nuit du nouvel an: les sites vont donc continuer à fonctionner dans l'immédiat.

En revanche, nombre de prestataires et d'hébergeurs vont mettre en place un "support étendu de PHP 5.6", en faisant payer au client ce support, parfois de façon insidieuse, sans que le client ne soit très bien informé de ce surcoût, et des moyens de l'éviter.

A terme, si vous ne faites aucun changement de version, votre site finira par être basculé automatiquement en PHP 7.2 (la version officielle actuelle, cf. http://php.net/supported-versions.php) par votre hébergeur, avec un grand risque que votre site fonctionne mal voire plus du tout.

 

Le détail des dates de fin de support est disponible ici: http://php.net/supported-versions.php

 

Que devez-vous faire et quand?

La meilleure solution consiste à anticiper cette fin de support de PHP 5, et à la préparer d'ici fin décembre.

Pour cela:

  • vérifiez auprès de votre hébergeur si vous utilisez PHP, et quelle version.
  • si vous êtes en version 5.x, vérifier si l'outil qui motorise votre site web (un CMS - Content Management System) peut le faire fonctionner sous PHP 7.2. Si ce n'est pas la cas, faites installer une version plus récente de cet outil.
  • demandez à votre webmestre de réaliser une "montée en version" 7.2 du code de votre site. Cela peut nécessiter plusieurs heures de travail, car un assez grand nombre de fonctionalités PHP 5.x n'existent plus ou ont changé de comportement.
  • la procédure pour opérer cette "montée de version" est documentée et disponible ici : http://php.net/manual/fr/appendices.php

 

Vous utilisez Xooloop CMS, que devez-vous faire?

  • notre outil Xooloop CMS est déjà prêt pour basculer en PHP 7.2.
  • il faut toutefois vérifier que le code source spécifique à votre site est prêt pour cette montée en version, et ne va pas occasionner de régression. Cela peut représenter travail de plusieurs heures, donc un coût que nous estimerons selon la taille et la complexité de votre site.
  • n'hésitez pas à nous contacter pour vérifier si votre site est concerné ou s'il est déjà à jour. Si votre site a été livré en 2018, il sera basculé en version 7.2 à notre charge dans le cadre de notre garantie.

 

 

 

© 2007-2019 Xooloop.fr :: Mentions légales :: Site v3 :: Motorisé par Xooloop CMS v3.3.1